### Enumeration

# Pango RenderPart

since: 1.8

#### Declaration

    enum Pango.RenderPart

#### Description [src]

`PangoRenderPart` defines different items to render for such purposes as setting colors.

Available since: 1.8

#### Members

`PANGO_RENDER_PART_FOREGROUND`

  The text itself.

  - Value: `0`
  - Nickname: `foreground`
  - Available since: 1.8
`PANGO_RENDER_PART_BACKGROUND`

  The area behind the text.

  - Value: `1`
  - Nickname: `background`
  - Available since: 1.8
`PANGO_RENDER_PART_UNDERLINE`

  Underlines.

  - Value: `2`
  - Nickname: `underline`
  - Available since: 1.8
`PANGO_RENDER_PART_STRIKETHROUGH`

  Strikethrough lines.

  - Value: `3`
  - Nickname: `strikethrough`
  - Available since: 1.8
`PANGO_RENDER_PART_OVERLINE`

  Overlines.

  - Value: `4`
  - Nickname: `overline`
  - Available since: 1.8